// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

public interface InterpolationSettingsDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.fx.dtos.InterpolationSettingsDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional int32 max_points_per_unit = 1;</code>
   */
  int getMaxPointsPerUnit();

  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.TemporalUnitDto temporal_unit = 2;</code>
   */
  int getTemporalUnitValue();
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.TemporalUnitDto temporal_unit = 2;</code>
   */
  com.accelfin.server.demo.fx.dtos.TemporalUnitDto getTemporalUnit();
}
